/**********************************************************************
 *
 * Function HLT_COMM()
 *
 * 㭪 hlt_comm 㤠  ⥪  䠩-室 -
 * ணࠬ, ⠢  ਨ.
 *
 * :
 *  ணࠬ ᯮ  ⮢ ⥬ אַ
 * ᪮ 뢮, ॠ  楤୮ 몥.
 *
 * 1. 樠.
 * * 樠 ६:
 * - OTKCOM := "/" + "*";
 * - ZAKCOM := "*" + "/";
 * - KONCOM := "/" + "/";
 * * 砫쭮 ᫮ := 0.
 * * 室  砫 ࢮ ப.
 * 2. ࣠ 横 ᪠ ᥬ  ᥬ 䠩  砫쭮
 *    ப  筮.  ᬠਢ 筮. ᫮
 *     横 --  ⥪⮢ 䠩.
 * 3.  ᥬ:
 *
 * 4. OTKCOM (뢠騩 ਩).  宦 ⠭:
 *                                    ਧ 2, ᫮ := mod (++/2);
 * 5. ZAKCOM (뢠騩 ਩):
 *                                    ਧ 3, ᫮ := mod (++/2);
 * 6. KONCOM (ਧ   ⪥ ப):
 *                                    ਧ 1, ᫮  ;
 * 7.    襯᫥ ᥬ  砥:
 *                                    ਧ 0, ᫮  .
 * 8. ᫥ 宦 ᥬ (    ⢨)
 *    ந室 ᫮ 室  ஢  믮 த権,
 *    易  㥬묨 ᥬ ᫮ﬨ (. 9.).
 * 9. ᫨ ᫮ == 1  ਧ == 2 ( ࠧ ⨫
 *    ᥬ OTKCOM) :
 * * ᥬ  ⮪ ப ७   ப.
 * * 砫 ப 㤠.
 * * ய᪠ ᥬ OTKCOM  室  㭪 2.
 * 10. ᫨ ᫮ == 0  ਧ == 3 (⨫ 砭
 *      -- ᥬ ZAKCOM), :
 * * ⮪ ப ᫥ ᥬ ७   ப.
 * * 室  砫 ७ᥭ ப  室  . 2.
 * 11. ᫨ ᫮ == 0  ਧ == 2 ( 
 *     ⨫ ୮ 砫 ), :
 * *  ᥬ 㤠  ந室 室  .2.
 * 12. ᫨ ᫮ == 1  ਧ 3 (⨫ 筮
 *     "஢襥" 砭  ZAKCOM), :
 * *  ᥬ 㤠  ந室 室  .2.
 * 13. ᫨ ᫮ == 1  ਧ 0 (ப  ), 
 * * 祣  . 室  . 2.
 * 14. ᫨ ᫮ == 0  ਧ 0 (ப  ਩), 
 * *  ப 㤠. 室  . 2.
 * 15. ᫨ ᫮ == 0  ਧ == 1 (⨫ 祭 ப
 *     KONCOM  ⥪ ணࠬ), :
 * * ᥬ  ⮪ ப ७   ப.
 * * 砫 ப 㤠.
 * * 室  砫 ப, ᫥饩  ६饭.
 * * 室  . 2
 * 16. ᫨ ᫮ == 1  ਧ = 1 (⨫ 祭 ப
 *     KONCOM  ), 
 * *  ᥬ 㤠. 室  . 2.
 * 17.  横.
 * 18.  ணࠬ.
 *
 *  :
 * * .
 *
 *  :
 * * .
 *
 *  :
 *
 * * TOF
 * * AT_EOF
 * * SEARCH_FWD
 * * UP
 * * DOWN
 * * DEL_LINE
 * * GOTO_COL
 * * RIGHT
 * * DEL_CHAR
 *
**********************************************************************/
void hlt_comm()
{

/* 樠 */

  str OTKCOM[2], ZAKCOM[2], KONCOM[2];
  int COND, PRIZN;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=FALSE;
  COND = 0;
  OTKCOM = "/" + "*";
  ZAKCOM = "*" + "/";
  KONCOM= "/" + "/";
  TOF;

/* 砫 横 */

  WHILE(!AT_EOF)
  {

/* ஢ઠ 1 */
    IF( SEARCH_FWD(OTKCOM,1)==TRUE )
    {
      PRIZN = 2;
      COND = (COND+1)%2;
      GOTO RULE;
    }
/* ஢ઠ 2 */
    IF( SEARCH_FWD(ZAKCOM,1)==TRUE )
    {
      PRIZN = 3;
      COND = (COND+1)%2;
      GOTO RULE;
    }
/* ஢ઠ 3 */
    IF( SEARCH_FWD(KONCOM,1)==TRUE )
    {
      PRIZN = 1;
      GOTO RULE;
    }

/* ஢ઠ 4 (⮪) */
    PRIZN = 0;
    GOTO RULE;

    RULE:;

/* ࠢ:
 * 1. ᫨ ᫮ == 1  ਧ == 2 ( ࠧ ⨫
 *    ᥬ OTKCOM) :
 * * ᥬ  ⮪ ப ७   ப.
 * * 砫 ப 㤠.
 * * ய᪠ ᥬ OTKCOM  室  㭪 2.
*/
    IF( (COND == 1) && (PRIZN == 2) )
    {
       CR;
       UP;
       DEL_LINE;
       GOTO_COL( 3 );
       GOTO CONT;
    }

/* ࠢ:
 * 4. ᫨ ᫮ == 1  ਧ 3 (⨫ 筮
 *    "஢襥" 砭  ZAKCOM), :
 * *  ᥬ 㤠  ந室 室  .2.
*/
    IF( (COND == 1) && (PRIZN == 3) )
    {
       DEL_CHAR;DEL_CHAR;
       GOTO_COL( 1 );
       GOTO CONT;
    }

/* ࠢ:
 * 5. ᫨ ᫮ == 1  ਧ 0 (ப  ), 
 * * 室  ப . 室  . 2.
*/
    IF( (COND == 1) && (PRIZN == 0) )
    {
       DOWN;
       GOTO_COL( 1 );
       GOTO CONT;
    }

/* ࠢ:
 * 8. ᫨ ᫮ == 1  ਧ = 1 (⨫ 祭 ப
 *    KONCOM  ), 
 * *  ᥬ 㤠. 室  . 2.
*/
    IF( (COND == 1) && (PRIZN == 1) )
    {
       DEL_CHAR; DEL_CHAR;
       GOTO_COL( 1 );
       GOTO CONT;
    }

/* ࠢ:
 * 2. ᫨ ᫮ == 0  ਧ == 3 (⨫ 砭
 *     -- ᥬ ZAKCOM), :
 * * ⮪ ப ᫥ ᥬ ७   ப.
 * * 室  砫 ७ᥭ ப  室  . 2.
*/
    IF( (COND == 0) && (PRIZN == 3) )
    {
       RIGHT;RIGHT;
       CR;
       GOTO_COL( 1 );
       GOTO CONT;
    }

/* ࠢ:
 * 3. ᫨ ᫮ == 0  ਧ == 2 ( 
 *    ⨫ ୮ 砫 ), :
 * *  ᥬ 㤠  ந室 室  .2.
*/
    IF( (COND == 0) && (PRIZN == 2) )
    {
       DEL_CHAR; DEL_CHAR;
       GOTO_COL( 1 );
       GOTO CONT;
    }

/* ࠢ:
 * 6. ᫨ ᫮ == 0  ਧ 0 (ப  ਩), 
 * *  ப 㤠. 室  . 2.
*/
    IF( (COND == 0) && (PRIZN == 0) )
    {
       DEL_LINE;
       GOTO_COL( 1 );
       GOTO CONT;
    }

/* ࠢ:
 * 7. ᫨ ᫮ == 0  ਧ == 1 (⨫ 祭 ப
 *    KONCOM  ⥪ ணࠬ), :
 * * ᥬ  ⮪ ப ७   ப.
 * * 砫 ப 㤠.
 * * 室  砫 ப, ᫥饩  ६饭.
 * * 室  . 2
***/
    IF( (COND == 0) && (PRIZN == 1) )
    {
       CR;
       UP;
       DEL_LINE;
       DOWN;
       GOTO_COL( 1 );
       GOTO CONT;
    }

    CONT:;
  }
/*  横 */
}
/*  ணࠬ */

/**********************************************************************
 *
 *     ,
 * ᯮ㥬   ணࠬ.
 *
 * .  ४樨  ᯮ짮  ஥஢
 * ᯥ ⥬  楤୮ 몥, ᯮ騩 த樨 
 * ⮤ אַ 뢮.
 *  ⮤   ᫥饣 筨:
 *
 *
 * 1.  ᪠ ᥬ ᯣ  ᬮ 䠩,
 *    稭  ࢮ  ப.
 * 2.   ப ⢫    ᥬ. 
 *       !  㦥 ᥬ ந室
 *    室   RULE -- , ᫥ ன  横
 *    ⢫ ஢ઠ ᫮ ਬ ࠢ (த権) 
 *    믮 ⢨ 樨஢  ࠢ.
 * 3.  砥 宦 ᥬ  ப ந室 ⠭ "䫠"
 *    -- 祭 楫 ६,  । ᫮
 *    ਬ ࠢ ( ᨬ  樨  ᪮ ᥬ).
 *    祭 ६ ஢  ᥪ樨 ࠢ, ᯮ
 *    ᫥ ⪨ RULE.
 * 4.  ࠢ쭮 ⠢ ணࠬ    
 *     ! ⢨, 믮塞  ࠢ,  
 *    뢠 ﭨ  ⢨  㣨 ࠢ,  ᫮, 
 *     믮  ࠢ,   ᥪ.
 * 5.  ࠢ  ।ᬠਢ  "⪠"
 *    (୮ 믮 ᪠ ᥬ    ᫮),
 *     砥, ᫨ ஢  宦 ᥬ 㦭 
 *    ᪮쪮 ( ) ࠧ.
 * 6.  砥, ᫨ 䫠  ४⥫ (ਬ, 
 *    祭ﬨ (0  1),  祭 ⮣ ४⥫ 
 *     ᥬ  㯥 (ਬ,  
 *    뢠饩 ᪮ 祭 ⠭  1,  
 *     뢠饩 ᪮ 뢠  0),  
 *    ४⥫  ணࠬ஢ ᫥騬 ᯮᮡ:
 *
 *                         COND := (++COND)%2, 
 *
 * - COND -- ४⥫ ( 祭ﬨ 0  1),
 * - ++ --  ६ (㢥祭 祭  1),
 * - % --  ᫥ ⪠   (  砥  2).
 *    ⨬ ਥ ᯥ稢 ॣ୮  䫠 COND 
 *    ᨬ  ⮣,   ᫮   ⮣
 *    䫠.
 *    .  -- ⢥ ਥ,  
 *    ⢨ ६  祭 䫠  ࠧ
 *    ᫮ (ਬ,  宦 ࠧ ᥬ,  ਬ
 *    ࠢ   浪  ਬ). ६  ਥ
 *     ᨬ ਬ ࠢ  ࠧ ᫮.
 * 7. ᫨ ᫮ 믮 ࠢ ⨭ (祭 䫠
 *    ᮢ  묨 ࠢ),   ⥪⮬ ⢫
 *    ⢨   ,  ᮮ⢥騬 ࠢ.
 *    ᫥ ⮣ ந室 室   CONT. -㣮,
 *    ந室   横  । ᪮ ᥬ.
 * 8. ᫥ ⨦  䠩 (室  横) 믮
 *    ணࠬ 蠥.
 *
***********************************************************************/
