/**********************************************************************
 *  P2H()
 *  p2h     , ,
 *      
 *  :
 *           
 *    :
 * "<P>[A-Z]. "..."</P>"  
 * <H1>" ... "</H1>"
 *
 * "<P>[A-Z].[0-9]*. "..."</P>"  
 * <H1>" ... "</H1>"
 *
 * "<P>[A-Z].[0-9]*.[0-9]*. "..."</P>"  
 * <H2>" ... "</H2>"
 *
 * "<P>[A-Z].[0-9]*.[0-9]*.[0-9]*. "..."</P>"  
 * <H3>" ... "</H3>"
 *
 *       
 *  HTML-,        ,
 *         .
 *
 *  : .
 *
 *  : .
 *
 * :       
 *   p2li  pargen.
 * !      
 * brgen!
 *
 *********************************************************************/
macro p2h()
{
/*  */
  TOF;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=TRUE;
/*       */
  WHILE(!AT_EOF)
  {
//   "<P>[A-Z]. "..."</P>" */
    IF( SEARCH_FWD("<P>[A-Z]. ",0) == FALSE )
    {
      break;
    }
    else
    {
      GOTO_COL(1);
      SEARCH_FWD("<P>", 1);
/*    */
      REPLACE("<H1>");
/*       "</P>" */
      if ( SEARCH_FWD("</P>",1)==TRUE )
      {
/*    "</LI>" */
        REPLACE( "</H1>" );
        continue;
      }
      else
      {
        EOL; TEXT("</H1>");
      }
    }
/*   */
  }
/*  */
  TOF;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=TRUE;
/*       */
  WHILE(!AT_EOF)
  {
//*   "<P>[A-Z].[0-9]*. "..."</P>" */
    IF( SEARCH_FWD("<P>[A-Z].[0-9]*. ",0) == FALSE )
    {
      break;
    }
    else
    {
      GOTO_COL(1);
      SEARCH_FWD("<P>", 1);
/*    */
      REPLACE( "<H1>");
/*       "</P>" */
      if ( SEARCH_FWD("</P>",1)==TRUE )
      {
/*    "</LI>" */
        REPLACE( "</H1>" );
        continue;
      }
      else
      {
        EOL; TEXT("</H1>");
      }
    }
/*   */
  }
/*  */
  TOF;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=TRUE;
/*       */
  WHILE(!AT_EOF)
  {
//*   "<P>[A-Z].[0-9]*.[0-9]*. "..."</P>" */
    IF( SEARCH_FWD("<P>[A-Z].[0-9]*.[0-9]*. ",0) == FALSE )
    {
      break;
    }
    else
    {
      GOTO_COL(1);
      SEARCH_FWD("<P>", 1);
/*    */
      REPLACE("<H2>");
/*       "</P>" */
      if ( SEARCH_FWD("</P>",1)==TRUE )
      {
/*    "</LI>" */
        REPLACE( "</H2>" );
        continue;
      }
      else
      {
        EOL; TEXT("</H2>");
      }
    }
/*   */
  }
/*  */
  TOF;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=TRUE;
/*       */
  WHILE(!AT_EOF)
  {
//*   "<P>[A-Z].[0-9]*.[0-9]*.[0-9]*. "..."</P>" */
    IF( SEARCH_FWD("<P>[A-Z].[0-9]*.[0-9]*.[0-9]*. ",0) == FALSE )
    {
      break;
    }
    else
    {
      GOTO_COL(1);
      SEARCH_FWD("<P>", 1);
/*    */
      REPLACE("<H3>");
/*       "</P>" */
      if ( SEARCH_FWD("</P>",1)==TRUE )
      {
/*    "</LI>" */
        REPLACE( "</H3>" );
        continue;
      }
      else
      {
        EOL; TEXT("</H3>");
      }
    }
/*   */
  }
/*  */
  TOF;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=TRUE;
/*       */
  WHILE(!AT_EOF)
  {
//*   <P>[A-Z].[0-9]*.[0-9]*.[0-9]*  */
    IF( SEARCH_FWD("<P>[A-Z].[0-9]*.[0-9]*.[0-9]* ",0) == FALSE )
    {
      break;
    }
    else
    {
      GOTO_COL(1);
      SEARCH_FWD("<P>", 1);
/*    */
      REPLACE("<H4>");
/*       "</P>" */
      if ( SEARCH_FWD("</P>",1)==TRUE )
      {
/*    "</LI>" */
        REPLACE( "</H4>" );
        continue;
      }
      else
      {
        EOL; TEXT("</H4>");
      }
    }
/*   */
  }
}
