/*****************************************************************************
*  post_lex.
*  post_lex    :
* *   <Alt+255>[1-7].
* *       <Alt+255>0.
* *       ,   
     <Alt+255>0.
* *   <Alt+255>_ .
* *       <Alt+255>. .
* *       ,   
     <Alt+255>. .
* *  .
*
*  :
* * INTEGER ic -   ;
* * INTEGER id --    .
*
***************************************************************************/

void post_lex()
{
  int iLine, iCol, iCond, ic, id;
/*  */
  iCond=0;
  TOF;
  IGNORE_CASE=TRUE;
  REG_EXP_STAT=TRUE;
  WHILE( !AT_EOF() )
  {
/*   [1-7] */
    iLine = C_LINE();
    SEARCH_FWD( CHAR(0xFF), 1 );
    ic=ASCII(CUR_CHAR());
    switch( ic )
    {
      case 0xFF :
        RIGHT;
        id=ASCII(CUR_CHAR());
        switch ( id )
        {
          case 0x31 :
          case 0x32 :
          case 0x33 :
          case 0x34 :
          case 0x35 :
          case 0x37 :
            iCond = 1;
            goto B1;
/*    --    . */
          case 0x30 :
            if (iCond == 1 )
            {
              iCond = 0;
      	      RIGHT;
              goto B1;
            }
            else
/*    -- 0,    . */
            {
              RIGHT; RIGHT;
              BACK_SPACE; BACK_SPACE;
              goto B1;
            }
            break;
          default:
            goto A1;
        }
        default:
          goto A1;
    }
    iCol=C_COL();
/*   [0] */
    B1:
    SEARCH_FWD( CHAR(0xFF), 1 );
    ic=ASCII(CUR_CHAR());
    switch( ic )
    {
      case 0xFF :
        RIGHT;
        id=ASCII(CUR_CHAR());
        switch ( id )
        {
/*  ,     --  <Alt+255>0 
       */
          case 0x31 :
          case 0x32 :
          case 0x33 :
          case 0x34 :
          case 0x35 :
          case 0x37 :
            if( iCond == 1 )
            {
	            MS_LEFT; MS_LEFT; TEXT(" 0");RIGHT;RIGHT;RIGHT;RIGHT;
              iCond = 0;
	            goto C1;
            }
/*    -- 0,      */
            else
            {
              RIGHT; goto C1;
            }
            break;
/*   */
/*    -- 1,     . */
          case 0x30 :
            if (iCond == 1 )
            {
              iCond = 0;
      	      RIGHT;
            	goto C1;
            }
            else
/*    -- 0,    . */
            {
              RIGHT; RIGHT;
              BACK_SPACE; BACK_SPACE;
              goto C1;
            }
            break;
          default:
            RIGHT; goto C1;
        }
        default:
/*    --  */
          EOL;
          TEXT( CHAR(0xFF)+"0" ); // CR;
    }
    A1:
    DOWN; GOTO_COL(1);
    C1:
  }
/*   [1-7] */
/*       . */
/*  */
  iCond=0;
  TOF;
  WHILE( !AT_EOF() )
  {
/*   [_] */
    iLine = C_LINE();
    SEARCH_FWD( CHAR(0xFF), 1 );
    ic=ASCII(CUR_CHAR());
    switch( ic )
    {
      case 0xFF :
        RIGHT;
        id=ASCII(CUR_CHAR());
        switch ( id )
        {
          case 0x5F :
            iCond = 1;
            goto B2;
/*    --    . */
          case 0x2E :
            if (iCond == 1 )
            {
              iCond = 0;
      	      RIGHT;
              goto B2;
            }
            else
/*    -- .,    . */
            {
              RIGHT; RIGHT;
              BACK_SPACE; BACK_SPACE;
              goto B2;
            }
            break;
          default:
            goto A2;
        }
        default:
          goto A2;
    }
    iCol=C_COL();
/*   [.] */
    B2:
    SEARCH_FWD( CHAR(0xFF), 1 )
    ic=ASCII(CUR_CHAR());
    switch( ic )
    {
      case 0xFF :
        RIGHT;
        id=ASCII(CUR_CHAR());
        switch ( id )
        {
/*  ,     --  <Alt+255>0 
       */
          case 0x5F :
          case 0x37 :
            if( iCond == 1 )
            {
              MS_LEFT; MS_LEFT;
              TEXT(CHAR(0xFF)+".");RIGHT;RIGHT;RIGHT;RIGHT;
              iCond = 0;
              goto C2;
            }
/*    -- .,      */
            else
            {
              RIGHT; goto C2;
            }
            break;
/*   */
/*    -- _,     . */
          case 0x2E :
            if (iCond == 1 )
            {
              iCond = 0;
      	      RIGHT;
              goto C2;
            }
            else
/*    -- .,    . */
            {
              RIGHT; RIGHT;
              BACK_SPACE; BACK_SPACE;
              goto C2;
            }
            break;
          default:
            RIGHT; goto C2;
        }
        default:
/*    --  */
          EOL;
          TEXT( CHAR(0xFF)+"." ); // CR;
    }
    A2:
    DOWN; GOTO_COL(1);
    C2:
  }
/*   [.] */
/*   */
  TOF;
}
